Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ResourceData_String

Resource Data String Class
Contained in: global
Derived from: CL_ResourceData
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

### public function member index:
### Construction:
`` | `CL_ResourceData_String` | `(`class` `CL_Resource`& `resource`)`;

## Description:

## Function Member Descriptions:

CL_ResourceData_String::CL_ResourceData_String - Resource Data String Constructor
`` `CL_ResourceData_String``(`class` `CL_Resource`& `resource`)`;

## Variable Member Descriptions:

CL_ResourceData_String::value - The string
``std::string`` ``value`;`